IT(4)

NAME
it - ITE IT87xxF and SiS SiS950 temperature, voltage, and fan sensor with watchdog timer

SYNOPSIS
it* at isa? port 0x2e
it* at isa? port 0x4e

DESCRIPTION
The it driver provides support for the ITE IT8705F, IT8712F, IT8716F, IT8718F, IT8720F, IT8726F, IT8772F and SiS SiS950 hardware monitors and watchdog(4) timer to be used with the sysctl(8) interface.

Most supported devices possess 17 sensors:
Sensor | Units | Typical Use
temp0 | uK | CPU Temperature
temp1 | uK | Motherboard Temperature
temp2 | uK | Unused
fan0 | RPM | CPU Fan
fan1 | RPM | Chassis Fan
fan2 | RPM | Power Fan
fan3 | RPM | Unused
fan4 | RPM | Unused
volt0 | uV DC | Core voltage
volt1 | uV DC | Core voltage
volt2 | uV DC | +3.3V
volt3 | uV DC | +5V
volt4 | uV DC | +12V
volt5 | uV DC | -12V
volt6 | uV DC | -5V
volt7 | uV DC | +5VSB
volt8 | uV DC | VBAT

SEE ALSO
isa(4), watchdog(4), sensorsd(8), sysctl(8), watchdogd(8)

HISTORY
The it driver first appeared in OpenBSD 3.4.

AUTHORS
-nosplit The it driver was originally written for OpenBSD 3.4 by Julien Bordet <zejames@greyhats.org>, and completely rewritten for OpenBSD 4.3 by Oleg Safiullin <form@pdp-11.org.ru>.

BUGS
Watchdog timer functionality is not supported for ITE IT8705 or SiS SiS950 chips. For older IT8712 chips, watchdog timeout values of more than 255 seconds are rounded up to the nearest minute.